import React from "react";
import { ButtonProps } from "./Interface.type";


export const Button: React.FC<ButtonProps> = ({
  label,
  onClick,
  disabled = false,
  className = "",
  icon,
}) => {
  return (
    <button
      className={`custom-button ${className}`}
      onClick={onClick}
      disabled={disabled}
    >
      {icon && <i className={`button-icon ${icon}`}></i>}
      {label}
    </button>
  );
};
